Assign to an entity
1 min
POST
https://api.campaign.episerver.net/rest/{clientId}/folders/{folderId}/assign
clientIdstringClient ID
folderIdinteger<int64>Folder ID
entityIdinteger<int64>ID of the entity to be assigned or unassigned
200The entity was assigned successfully.
400The entity ID is required. Check for the ID of the entity and add it to the request.
404The folder or entity object could not be found. Ensure that the required parameters such as "folderId" or "entityID" are correct and the folder exists.
409The folder could not be assigned to the mailing entity because the entity is a campaign child. Ensure that the requested entity is not a child of a campaign.
curl --request POST \
--url https://api.campaign.episerver.net/rest/{clientId}/folders/{folderId}/assign \
--header 'accept: application/json' \
--header 'content-type: application/x-www-form-urlencoded' \
--data 'entityId=integer<int64>'